<?php
// -------------------------------
// THE AWESOME SETTINGS PANEL
// -------------------------------
function wp_vibedeck_settings_page() { ?>
        
	<div class="wrap">
		<?php screen_icon('tools'); ?>
		<h2>WP-VibeDeck Settings</h2>
         
            
		<div id="poststuff" class="metabox-holder has-right-sidebar">
		<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  -->
        <!-- ABOUT THE PLUGIN 																			-->
		<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  -->
        <div id="side-info-column" class="inner-sidebar">
			<div class="meta-box-sortables"> 
				<div id="about" class="postbox ">  
			
					<h3 id="about-sidebar"><?php _e('About the plugin') ?></h3>
					<div class="inside">
                       	<p>WP VibeDeck<br />Version: <?php echo WP_VIBEDECK_VERSION; ?></p>
						<p>Visit the <a href="http://www.theemeraldcurtain.com/wordpress-plugin/wp-vibedeck-version-1-1">
                       	plugin homepage</a> for further information or to get the latest version.</p>
						<p><a href="http://www.theemeraldcurtain.com/wordpress-plugin/wp-vibedeck/">Version 1.0</a> contains additional information.</p>
						
                       	<p>Please note that this plugin is not affiliated with VibeDeck or its creators in any way.</p>

						<p>Feedback and <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=QG7JF2QUHGF6A" target="_blank">donations</a> are welcome.</p>
						<p><span style="float: right;">
						&copy; Copyright 2011 - <?php echo date('Y'); ?> 
                        <a href="http://theemeraldcurtain.com">Phillip Bryan</a></p>
					</div> <!-- inside -->
				</div> <!-- about -->
			</div> <!-- meta-box-sortables -->
		</div> <!-- side-info-column -->
                    
		<!-- Start the settings form and set up the plugin options--> 
		<form method="post" action="options.php">
		<?php settings_fields( 'wp_vibedeck_group' ); ?>
		<?php $options = get_option(WP_VIBEDECK_OPTIONS); ?>
        
		<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  -->
        <!-- OPTIONS WRAPPER 																			-->
		<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  -->
        <div id="post-body" class="has-sidebar">
			<div id="post-body-content" class="has-sidebar-content">
	
                <style>
					.wp-vibedeck-settings label { display:block; font-size:11px; color:#777; width:150px; text-align:right; float:left; margin-right:5px; }
					.wp-vibedeck-settings code { margin-left:50px; padding:5px 5px; }
					.wp-vibedeck-settings em { color:#933; font-weight:bold; font-style:normal; }
					
				</style>		
                    
                <!-- --- -->
				<div class="postbox  wp-vibedeck-settings">
                	<h3>Before you Start:</h3>
					<div class="inside"> 
	                    <p>In order to add a player and store to your site, you'll need to <a href="http://www.vibedeck.com/" target="_blank">set up a VibeDeck account</a> and upload your music. VibeDeck is free and does not charge fees. </p>
	                    <p>These screenshots show how to add a VibeDeck player to your site:</p>
                        <ol>
                        <li><a href="<?php echo plugins_url('/images/screenshot-1.jpg', __FILE__); ?>" target="_blank">Website with VibeDeck players.  Main content contains a "default" player, and sidebar contains an "artwork" player.</a></li>
                        <li><a href="<?php echo plugins_url('/images/screenshot-2.jpg', __FILE__); ?>" target="_blank">"Purchase music" dialog generated by VibeDeck.  VibeDeck handles purchase and file download.</a></li>
                        <li><a href="<?php echo plugins_url('/images/screenshot-3.jpg', __FILE__); ?>" target="_blank">Getting the shortcode from your VibeDeck account (part 1).</a></li>
                        <li><a href="<?php echo plugins_url('/images/screenshot-4.jpg', __FILE__); ?>" target="_blank">Getting the shortcode from your VibeDeck account (part 2).</a></li>
                        <li><a href="<?php echo plugins_url('/images/screenshot-5.jpg', __FILE__); ?>" target="_blank">Add the shortcode to any post or page.</a></li>
                        <li><a href="<?php echo plugins_url('/images/screenshot-6.jpg', __FILE__); ?>" target="_blank">The player generated by the shortcode.</a></li>
                        <li><a href="<?php echo plugins_url('/images/screenshot-7.jpg', __FILE__); ?>" target="_blank">Adding an "artwork" player to your site.</a></li>
                        <li><a href="<?php echo plugins_url('/images/screenshot-8.jpg', __FILE__); ?>" target="_blank">The artwork player generated by the shortcode.</a></li>
                        <li><a href="<?php echo plugins_url('/images/screenshot-9.jpg', __FILE__); ?>" target="_blank">Adding an "artwork" player to the sidebar using a widget.</a></li>
                        <li><a href="<?php echo plugins_url('/images/screenshot-10.jpg', __FILE__); ?>" target="_blank">The WP-VibeDeck settings panel.</a></li>
                        </ol>
					</div>        
                </div>           				
                                    
                    				
                                    
                <!-- --- -->
				<div class="postbox  wp-vibedeck-settings">       
                	<h3>Default VibeDeck Settings (optional):</h3>
					<div class="inside">
                                  
					<p>You can specify default settings here and omit them from the shortcodes.</p>                                              
					<p><label>Artist: </label>
                    	<input name="wp_vibedeck_options[artist]" type="text" 
                        value="<?php echo (''==$options['artist'] ? 'gary-lynn-floyd' : $options['artist']); ?>"/></p>                        
					<p><label>Album Number: </label>
                    	<input name="wp_vibedeck_options[album]" type="text" 
                        value="<?php echo (''==$options['album'] ? '55072' : $options['album']); ?>"/></p>                
                        
					<p><label>Width: </label>
                    	<input name="wp_vibedeck_options[width]" type="text" 
                        value="<?php echo (''==$options['width'] ? '650' : $options['width']); ?>"/></p>                
                        
					<p><label>Height: </label>
                    	<input name="wp_vibedeck_options[height]" type="text" 
                        value="<?php echo (''==$options['height'] ? '600' : $options['height']); ?>"/></p>        
                        
					<p><label>Artwork Width: </label>
                    	<input name="wp_vibedeck_options[widget-width]" type="text" 
                        value="<?php echo (''==$options['widget-width'] ? '250' : $options['widget-width']); ?>"/></p>	            
					<p><label>&nbsp; </label>
                    	<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" /></p>    
					
					<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  -->
				    <!-- CONTENT 																						-->
					<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  -->
					</div> <!-- inside -->
				</div> <!-- about -->
			</div> <!-- post-body-content -->
		</div> <!-- post-body -->
                           
        
           
		<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  -->
        <!-- CLOSE EVERYTHING DOWN, WHEW																-->
		<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  -->

		<!-- Close the settings form -->          
		</form>       

		</div> <!-- poststuff -->
	</div> <!-- wrap -->               
<?php } ?>